Subject: bug#38425: 27.0.50; [PATCH] vc-hg-create-tag: Possibility to create a branch

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Aug 2020 14:28:12 +0200

Andrii Kolomoiets <[email-masked]> writes:

>>> That "even" is why I'm asking. If, on average, the user has to deal
>>> with both then the new option won't help. vc-hg might as well only
>>> one or the other in vc-create-tag, leaving the alternative to the
>>> command line.
>> 
>> Why not? I've added option 'ask' so user can create branch or
>> bookmark. Default value t is set for backward capability.
>
> Sorry, backward compatibility.

I think that makes sense, so I've applied your patch to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no